---
title: "Contributing Guide"
weight: -1
cascade:
    version: "0"
    docs: false
    product: "Contributing Guide"
---

The Crossplane Contributing Guide is for anyone interested in contributing to
the Crossplane documentation.

Information on contributing to the Crossplane software project is in the
Crossplane 
[`CONTRIBUTING.md`](https://github.com/crossplane/crossplane/blob/main/CONTRIBUTING.md)
file.

## Code of conduct
Crossplane follows the [CNCF Code of Conduct](https://github.com/cncf/foundation/blob/main/code-of-conduct.md).

Taken directly from the code:
<!-- vale off -->
>As contributors and maintainers in the CNCF community, and in the interest of
>fostering an open and welcoming community, we pledge to respect all people who
>contribute through reporting issues, posting feature requests, updating
>documentation, submitting pull requests or patches, and other activities.
>  
>We are committed to making participation in the CNCF community a
>harassment-free experience for everyone, regardless of level of experience,
>gender, gender identity and expression, sexual orientation, disability,
>personal appearance, body size, race, ethnicity, age, religion, or nationality.
<!-- vale on -->

## Reporting violations
To report violations contact the Crossplane maintainers at `info@crossplane.io`
or the CNCF at `conduct@cncf.io`.


All the information needed to contribute to the Crossplane documentation is
here.

* Read [contributing to the docs]({{< ref "contribute" >}}) for information
  about the docs repository, cloning and local development.
* The [writing style guide]({{< ref "writing-style-guide" >}}) describes the
  guidelines for language, spelling and language style. 
* The [code styling guide]({{< ref "code-style-guide" >}}) covers the Crossplane guidelines
  specific to including code blocks in docs to provide the best reader
  experience.
* [Styling features]({{<ref "features" >}}) describes the features
  Crossplane documentation uses to improve on traditional Markdown. This
  includes how to optimize images, use tabs and hiding long outputs.
* The [infrastructure]({{<ref "infrastructure" >}}) section provides technical
  information about the documentation infrastructure. This includes how
  Crossplane documentation uses the [Hugo](https://gohugo.io/) static site
  generator, CSS layouts and JavaScript.

## Licensing
The Crossplane documentation is under the [Creative Commons Attribution](https://creativecommons.org/licenses/by/4.0/)
license. CC-BY allows reuse, remixing and republishing of Crossplane
documentation with attribution to the Crossplane organization.

## Issues and feature requests
Open an [issue](https://github.com/crossplane/crossplane/issues)
to report a problem or request documentation content.